TravelyfeHelp
EntwicklerReferenceAccount

Offer A Document Key

PUT
/v1/account/document-key

Offers this device's key (minted when it was made just now) and answers with the account's. A new key is refused with 423 while the account already has documents whose key is still on another device.

Only available to the Travelyfe apps. Tokens issued to other apps receive forbidden.

AuthorizationBearer <token>

A Travelyfe access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/account/document-key" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "key": "string"  }'
{  "id": "string",  "key": "string"}